Home Forums Weaver Xtreme Theme Collapsing Categories Widget (new block-based version)

Viewing 9 posts - 1 through 9 (of 9 total)
  • Author
    Posts
  • #73381
    Tim Locke
    Participant

    Will it be possible to get the new block-based Collapsing Categories widget to work with Weaver Xtreme?

    I searched this forum and found a post saying there may never be a version of Weaver that works with block-based WordPress. Is this true?

    The old version of this widget is very old and very buggy with the latest versions of WordPress so the author updated it for WordPress’s new block-based widgets but now it won’t work with non-block-based themes such as Weaver Xtreme. So the old one is buggy and the new one only works in block-based themes. It seems I’m stuck without any way to use either version of this plugin with Weaver Extreme. Do I have any options?

     

    #73382
    scrambler
    Moderator

    @weaver would have to comment

     

    #73383
    Weaver
    Keymaster

    I may have this wrong, but I don’t think block widgets are dependent on  true block themes. Rather, they may be tied to the block widget admin interface.

    I think by default, wp uses the block widget admin interface. But there is a legacy widget plugin that many people use.

    But I think if you use the block base widget interface, you can assign a block to any defined widget area. I’ve not played with block themes enough to know how they might handle widgets.

    But block themes are completely different thing than classic themes. There is absolutely no chance Weaver will ever have a block theme version. ‘

    #73384
    scrambler
    Moderator

    @weaver, he is saying “the new block-based Collapsing Categories widget” Does not work with Xtreme.

    Is there a category of block widgets that does not work with the theme ?

    #73385
    User
    Moderator

    Scrambler,

    I believe that this is one reason for the development of the “Classic Widgets” plugin to which Weaver refers.

    The plugin says it: “Enables the classic widgets settings screens in Appearance – Widgets and the Customizer. Disables the block editor from managing widgets.”

    I’d suggest @Tim Locke tries the plugin.  Since I installed it on my site, I have had no issues with block widgets.

    Regards!

     

     

     

    #73386
    Weaver
    Keymaster

    I am away from my dev environment, but I will try to take a look at this issue in the next few days.

    #73388
    Weaver
    Keymaster

    I don’t know what is going on with this plugin.

    If you go to its install instructions, they mention adding some custom code to your theme.

    Well, that is way beyond what one would expect of any plugin. The instructions they give are what I would consider confusing and incomplete.

    If you open the WP page or that plugin, you’ll see several problem posts, mostly describing you situation – the plugin quit working with the update.

    I can’t figure this out. Their instructions seem to assume you are a programmer who has written thier own theme, or at least knows how to edit a theme.

     

    I tried to test this with Twenty Twentythree, and had no luck. One gets the same error messags that Weaver (or any other theme) triggers.

    So, I think this is a very broken plugin, or one that fails to provide clear instructions. I’d suggest trying to contact to theme author for clarifications on just what is needed to se it with any theme – block theme or classic theme.

    But if trying to use with Twenty Twenty Three causes the same error messages as Weaver Xtreme leads me to believe this is a broken plugin.

    I did try a couple of other “new” plugins that are supposed to supply new block widgets, and they seemed to work without any issues when adding widgets to either widget areas, or to a block page or post.

    #73389
    Tim Locke
    Participant

    I had the previous version of the plug-in installed and WordPress automatically updated it to the new block-based version and it didn’t work. I didn’t realize the plugin requires custom code to be added to the theme. I will check with the plugin author.

    #73390
    Tim Locke
    Participant

    Thank you. I didn’t realize this plugin requires custom code added to the theme. That seems very strange. I didn’t try this with any other theme. I was going to but I couldn’t find another theme as customizable as Weaver Xtreme. I will contact the plugin author. For now I have installed a plugin that keeps this plugin from updating to the new version but it is unsatisfactory because it too has broken functionality with recent versions of WordPress. I wish I could find another plugin with its functionality.

Viewing 9 posts - 1 through 9 (of 9 total)
  • You must be logged in to reply to this topic.